Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001534ScribusUser Interfacepublic2005-01-11 09:552005-04-20 21:29
Reporterringerc 
Assigned Toringerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86 LinuxOSFedora CoreOS Version1
Product Version1.2.2cvs 
Target VersionFixed in Version1.2.2cvs 
Summary0001534: PATCH: Informative user feedback when PDF/X3 and colour management
DescriptionThe attached patch keeps the "Color Management" menu item permanently enabled even if no color management support is compiled in. A dialog is displayed explaining why color management can't be used if appropriate. This should help reduce user confusion ("I don't *have* a Color Management menu item..." etc).

When not available, the PDF/X-3 tab of the PDF export dialog reports why it is not available using a tooltip, along with what to do to enable it. The Security tab gains the same feature.
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0001879confirmed Useful feedback in PDF dialog when PDF/X-3 not enabled 

-  Notes
(0003450)
cbradney (administrator)
2005-01-11 10:46

Somehow the if in PDFOpts looks wrong.. esp w/r to Option == 12
(0004126)
plinnell (administrator)
2005-04-07 22:25

can we get this done for 1.2.2 ?
(0004139)
ringerc (administrator)
2005-04-08 03:56

yep, I'll have another look at it to confirm things are OK
(0004288)
ringerc (administrator)
2005-04-19 11:38

I think that rather than using WhatsThis on the colour management menu option I'll use a short explanatory dialog instead.

The explanation of why PDF/X-3 is disabled in export should probably really be done as a replacement frame in the PDF export dialog, but a tooltip will do in 1.2.2 to at least give users some idea what's going on.
(0004289)
ringerc (administrator)
2005-04-19 14:12

Fixed in 1.2.2 (permit me to say: UGH.)
(0004318)
plinnell (administrator)
2005-04-20 21:29

I tweaked scribus.cpp a bit to make Color and Colour more consistent

- Issue History
Date Modified Username Field Change
2005-01-11 09:55 ringerc New Issue
2005-01-11 09:55 ringerc File Added: pdfx_tooltips.diff
2005-01-11 09:55 ringerc Additional Information Updated
2005-01-11 10:46 cbradney Note Added: 0003450
2005-04-07 22:24 plinnell Status new => assigned
2005-04-07 22:24 plinnell Assigned To => plinnell
2005-04-07 22:25 plinnell Note Added: 0004126
2005-04-07 22:25 plinnell Assigned To plinnell => ringerc
2005-04-07 22:25 plinnell Product Version 1.2.1 => 1.2.2cvs
2005-04-08 03:56 ringerc Note Added: 0004139
2005-04-19 11:38 ringerc Note Added: 0004288
2005-04-19 11:38 ringerc File Deleted: pdfx_tooltips.diff
2005-04-19 14:12 ringerc Note Added: 0004289
2005-04-19 14:27 ringerc Relationship added related to 0001879
2005-04-19 14:29 ringerc Severity feature => minor
2005-04-19 14:29 ringerc Status assigned => resolved
2005-04-19 14:29 ringerc Resolution open => fixed
2005-04-19 14:29 ringerc Fixed in Version => 1.2.2cvs
2005-04-19 14:29 ringerc Description Updated
2005-04-19 14:29 ringerc Additional Information Updated
2005-04-20 21:29 plinnell Note Added: 0004318
2005-04-20 21:29 plinnell Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker